Imports System.Xml
Public Class LaborBasisWertEinheit
    Public m_Kuerzel As String = "Neue Laboreinheit"
    Public m_LangWert As String = "Neue Laboreinheit"
    Public Event Geaendert()
    Public Sub New()

    End Sub
    Public Sub New(ByVal Kuerzel As String, ByVal LangWert As String)
        m_Kuerzel = Kuerzel
        m_LangWert = LangWert
    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        m_Kuerzel = Nd.Attributes("Kuerzel").Value
        m_LangWert = Nd.Attributes("LangWert").Value
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("Kuerzel", m_Kuerzel)
        Writer.WriteAttributeString("LangWert", m_LangWert)
    End Sub
    Property Kuerzel() As String
        Get
            Return m_Kuerzel
        End Get
        Set(ByVal value As String)
            If m_Kuerzel <> value.Trim Then
                m_Kuerzel = value.Trim
                RaiseEvent Geaendert()
            End If
        End Set
    End Property
    Property LangWert() As String
        Get
            Return m_LangWert
        End Get
        Set(ByVal value As String)
            If m_LangWert <> value.Trim Then
                m_LangWert = value.Trim
            End If
        End Set
    End Property

    Public Overrides Function ToString() As String
        Return m_Kuerzel
    End Function
    Public Function ToPersistString(ByVal DS As LaborBasisDatensammlung) As String
        Return m_Kuerzel & m_LangWert
    End Function
End Class
