Imports System.Xml
Public Class LaborBasisWertgruppe
    Private m_Name As String = "Neue Laborwertgruppe"
    Private m_ExplizitEinzeln As Boolean = False
    Private m_Geschlecht As LaborBasisGruppenGeschlechter = LaborBasisGruppenGeschlechter.mnnlich
    Public Event Geaendert()
    Public Sub New()

    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        m_Name = Nd.Attributes("Name").Value
        m_ExplizitEinzeln = CBool(Nd.Attributes("ExplizitEinzeln").Value)
        m_Geschlecht = CType(CInt(Nd.Attributes("Geschlecht").Value), LaborBasisGruppenGeschlechter)
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("Name", m_Name)
        Writer.WriteAttributeString("ExplizitEinzeln", m_ExplizitEinzeln.ToString)
        Writer.WriteAttributeString("Geschlecht", CInt(m_Geschlecht).ToString)
    End Sub


    Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal value As String)
            If m_Name <> value.Trim Then
                m_Name = value.Trim
                RaiseEvent Geaendert()
            End If
        End Set
    End Property
    Property ExplizitEinzeln() As Boolean
        Get
            Return m_ExplizitEinzeln
        End Get
        Set(ByVal value As Boolean)
            If m_ExplizitEinzeln <> value Then
                m_ExplizitEinzeln = value
            End If
        End Set
    End Property
    Property Geschlecht() As LaborBasisGruppenGeschlechter
        Get
            Return m_Geschlecht
        End Get
        Set(ByVal value As LaborBasisGruppenGeschlechter)
            m_Geschlecht = value
        End Set
    End Property
    Public Function ToPersistString(ByVal DS As LaborBasisDatensammlung) As String
        Return m_Name & CInt(m_Geschlecht).ToString & m_ExplizitEinzeln.ToString
    End Function
End Class
