Public Class LaborBasisDatensammlung
    Inherits LaborBasis.LaborBasisDatensammlung
    Private m_VergleichsString As String


    Public Sub New()
        MyBase.New()
        m_VergleichsString = PersistToString()
    End Sub
    Public Sub New(ByVal Pfad As String)
        MyBase.New(Pfad)
        m_VergleichsString = PersistToString()
    End Sub

    Private Function PersistToString() As String
        Dim ZW As String = ""
        For Each wt As LaborBasis.LaborBasisWert In Werte
            ZW &= wt.ToPersistString(Me)
        Next
        For Each Einh As LaborBasis.LaborBasisWertEinheit In Einheiten
            ZW &= Einh.ToPersistString(Me)
        Next
        For Each Gr As LaborBasis.LaborBasisWertgruppe In Gruppen
            ZW &= Gr.ToPersistString(Me)
        Next
        Return ZW
    End Function
    Public Function Geaendert() As Boolean
        Dim NewStr As String = PersistToString()
        If NewStr <> m_VergleichsString Then
            Return True
        Else
            Return False
        End If
    End Function

    Public Overrides Sub Speichern()
        MyBase.Speichern()
        m_VergleichsString = PersistToString()
    End Sub
End Class
