Public Class NumOberUntergrenzControl
    Private m_Wt As LaborBasis.LBExtraWertAngabeNumerischOberUntergrenze
    Private m_Init As Boolean = False
    Public Sub New(ByVal Wt As LaborBasis.LBExtraWertAngabeNumerischOberUntergrenze)
        InitializeComponent()
        m_Wt = Wt
        m_Init = True

        Me.TextBoxObergrenze.Text = m_Wt.Obergrenze.ToString
        Me.TextBoxUntergrenze.Text = m_Wt.Untergrenze.ToString
        m_Init = False
    End Sub


    Private Sub TextBoxUntergrenze_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxUntergrenze.TextChanged
        If m_Init Then Exit Sub
        Try
            Dim Z As Decimal = CDec(TextBoxUntergrenze.Text)
            TextBoxUntergrenze.ForeColor = Color.Black
            m_Wt.Untergrenze = Z
        Catch ex As Exception
            TextBoxUntergrenze.ForeColor = Color.Red
        End Try

    End Sub

    Private Sub TextBoxObergrenze_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxObergrenze.TextChanged
        If m_Init Then Exit Sub
        Try
            Dim Z As Decimal = CDec(TextBoxObergrenze.Text)
            TextBoxObergrenze.ForeColor = Color.Black
            m_Wt.Obergrenze = Z
        Catch ex As Exception
            TextBoxObergrenze.ForeColor = Color.Red
        End Try
    End Sub
End Class
