Public Class LaborwertGruppenEditor
    Private m_Source As LaborBasis.LaborBasisWertgruppe = Nothing
    Private m_Init As Boolean = False
    WriteOnly Property Source() As LaborBasis.LaborBasisWertgruppe
        Set(ByVal value As LaborBasis.LaborBasisWertgruppe)
            m_Source = value
            ReadData()
        End Set
    End Property
    Private Sub ReadData()
        m_Init = True
        If m_Source Is Nothing Then
            Me.TextBoxGruppenname.Text = ""
            Me.TextBoxGruppenname.Enabled = False
            Me.CheckBoxExplizitEinzeln.Checked = False
            Me.CheckBoxExplizitEinzeln.Enabled = False
            Me.ComboBoxGeschlecht.SelectedIndex = -1
            Me.ComboBoxGeschlecht.Enabled = False
        Else
            Me.TextBoxGruppenname.Text = m_Source.Name
            Me.TextBoxGruppenname.Enabled = True
            Me.CheckBoxExplizitEinzeln.Checked = m_Source.ExplizitEinzeln
            Me.CheckBoxExplizitEinzeln.Enabled = True
            Me.ComboBoxGeschlecht.SelectedItem = m_Source.Geschlecht
            Me.ComboBoxGeschlecht.Enabled = True
        End If
        m_Init = False
    End Sub

    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        For I As Integer = 0 To 3
            Me.ComboBoxGeschlecht.Items.Add(CType(I, LaborBasis.LaborBasisGruppenGeschlechter))
        Next
        ReadData()
    End Sub

    Private Sub TextBoxGruppenname_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxGruppenname.TextChanged
        If m_Init Then Exit Sub
        m_Source.Name = TextBoxGruppenname.Text
    End Sub
    Private Sub CheckBoxExplizitEinzeln_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBoxExplizitEinzeln.CheckedChanged
        If m_Init Then Exit Sub
        m_Source.ExplizitEinzeln = CheckBoxExplizitEinzeln.Checked
    End Sub

    Private Sub ComboBoxGeschlecht_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBoxGeschlecht.SelectedIndexChanged
        If m_Init Then Exit Sub
        m_Source.Geschlecht = ComboBoxGeschlecht.SelectedItem
    End Sub
End Class
