Imports System.Xml
Public Class Form1
    Private WithEvents m_Provider As New LaborDatenProvider
    Private m_Init As Boolean = False
    Private Sub m_Provider_Datensammlung_Geaendert() Handles m_Provider.Datensammlung_Geaendert
        ReadData()
    End Sub
    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
       

        ReadData()
      
    End Sub
    Private Sub ReadData()
        m_Init = True
        Me.ListViewLaborwerte.Items.Clear()
        'Me.ListViewLaborwertgruppen.Items.Clear()
        For Each Wt As LaborBasis.LaborBasisWert In m_Provider.DS.Werte
            Me.ListViewLaborwerte.Items.Add(New LaborBasisWertLVI(Wt))
        Next

        'For Each Gr As Laborwertgruppe In m_Provider.DS.Gruppen
        '    Me.ListViewLaborwertgruppen.Items.Add(New LaborwertgruppenLVI(Gr))
        'Next
        Me.LaborwertEditor1.DS = m_Provider.DS

        If Me.ListViewLaborwerte.Items.Count > 0 Then
            Me.ListViewLaborwerte.Items(0).Selected = True
        End If

        'If Me.ListViewLaborwertgruppen.Items.Count > 0 Then
        '    Me.ListViewLaborwertgruppen.Items(0).Selected = True
        'End If
        m_Init = False
    End Sub



    Private Sub ListViewLaborwerte_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListViewLaborwerte.Resize
        If ListViewLaborwerte.Columns.Count > 0 Then
            ListViewLaborwerte.Columns(0).Width = ListViewLaborwerte.Width - 4
        End If
    End Sub

    Private m_Moving As Boolean = False
    Private Sub ListViewLaborwerte_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListViewLaborwerte.SelectedIndexChanged
        If m_Moving Then Exit Sub
        If ListViewLaborwerte.SelectedItems.Count = 0 Then
            Me.LaborwertEditor1.Wert = Nothing
            Me.CommandPanel1.DeleteEnabled = False
            Me.CommandPanel1.MoveDownEnabled = False
            Me.CommandPanel1.MoveUpEnabled = False
        Else
            Dim LVI As LaborBasisWertLVI = ListViewLaborwerte.SelectedItems(0)
            Me.LaborwertEditor1.Wert = LVI.Wert
            Me.CommandPanel1.DeleteEnabled = True
            If LVI.Index > 0 Then
                Me.CommandPanel1.MoveUpEnabled = True
            Else
                Me.CommandPanel1.MoveUpEnabled = False
            End If
            If LVI.Index < ListViewLaborwerte.Items.Count - 1 Then
                Me.CommandPanel1.MoveDownEnabled = True
            Else
                Me.CommandPanel1.MoveDownEnabled = False
            End If
        End If
    End Sub



    Private Sub CommandPanelLaborwerte_AddNew() Handles CommandPanel1.AddNew
        Dim LW As New LaborBasis.LaborBasisWert(m_Provider.DS.LeerEinheit)
        Dim LVI As New LaborBasisWertLVI(LW)
        Me.ListViewLaborwerte.Items.Add(LVI)
        m_Provider.DS.Werte.Add(LW)
        LVI.Selected = True
        Me.ListViewLaborwerte.EnsureVisible(LVI.Index)
    End Sub

    Private Sub CommandPanelLaborwerte_Delete() Handles CommandPanel1.Delete
        Dim LVI As LaborBasisWertLVI = ListViewLaborwerte.SelectedItems(0)
        Dim Idx As Integer = LVI.Index - 1
        ListViewLaborwerte.Items.Remove(LVI)
        m_Provider.DS.Werte.Remove(LVI.Wert)
        If Idx > -1 Then
            ListViewLaborwerte.Items(Idx).Selected = True
        Else
            If ListViewLaborwerte.Items.Count > 0 Then
                ListViewLaborwerte.Items(0).Selected = True
            End If
        End If
    End Sub

    Private Sub EinheitenBearbeitenToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EinheitenBearbeitenToolStripMenuItem.Click
        EinheitenBearbeiten()
    End Sub
    Private Sub ToolStripButtonEinheitenBearbeiten_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButtonEinheitenBearbeiten.Click
        EinheitenBearbeiten()
    End Sub
    Private Sub EinheitenBearbeiten()
        Dim frm As New frm_Einheiten_Bearbeiten(m_Provider.DS)
        frm.ShowDialog()
        m_Provider.DS.RaiseEinheiten_Geaendert()
    End Sub

    Private Sub Neu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NeuToolStripMenuItem.Click, NeuToolStripButton.Click
        m_Provider.Datei_Neu()
    End Sub
    Private Sub ffnenToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ffnenToolStripMenuItem.Click, ffnenToolStripButton.Click
        m_Provider.Datei_Oeffnen()
    End Sub


    Private Sub SpeichernToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SpeichernToolStripMenuItem.Click, SpeichernToolStripButton.Click
        m_Provider.Datei_Speichern()
    End Sub

    Private Sub SpeichernunterToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SpeichernunterToolStripMenuItem.Click
        m_Provider.Datei_SpeichernUnter()
    End Sub

    Private Sub BeendenToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BeendenToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        If m_Provider.Datei_Beenden = False Then
            e.Cancel = True
        End If
    End Sub
    Private Sub CommandPanel1_MoveDown() Handles CommandPanel1.MoveDown
        m_Moving = True
        Dim LVI As LaborBasisWertLVI = ListViewLaborwerte.SelectedItems(0)
        Dim Idx As Integer = LVI.Index
        Me.ListViewLaborwerte.Items.Remove(LVI)
        m_Provider.DS.Werte.Remove(LVI.Wert)
        Me.ListViewLaborwerte.Items.Insert(Idx + 1, LVI)
        m_Provider.DS.Werte.Insert(Idx + 1, LVI.Wert)
        LVI.Selected = True
        CheckUpDown()
        m_Moving = False
    End Sub

    Private Sub CommandPanel1_MoveUp() Handles CommandPanel1.MoveUp
        m_Moving = True
        Dim LVI As LaborBasisWertLVI = ListViewLaborwerte.SelectedItems(0)
        Dim Idx As Integer = LVI.Index
        Me.ListViewLaborwerte.Items.Remove(LVI)
        m_Provider.DS.Werte.Remove(LVI.Wert)
        Me.ListViewLaborwerte.Items.Insert(Idx - 1, LVI)
        m_Provider.DS.Werte.Insert(Idx - 1, LVI.Wert)
        LVI.Selected = True
        CheckUpDown()
        m_Moving = False
    End Sub

    Private Sub CheckUpDown()
        Dim LVI As LaborBasisWertLVI = ListViewLaborwerte.SelectedItems(0)
        If LVI.Index = 0 Then
            Me.CommandPanel1.MoveUpEnabled = False
        Else
            Me.CommandPanel1.MoveUpEnabled = True
        End If
        If LVI.Index = Me.ListViewLaborwerte.Items.Count - 1 Then
            Me.CommandPanel1.MoveDownEnabled = False
        Else
            Me.CommandPanel1.MoveDownEnabled = True
        End If
    End Sub
   
End Class
