Public Class LaborWertAnzeiger
    Private m_Element As LaborwertAnzeigeElement
    Private m_Init As Boolean = False
    ReadOnly Property Element() As LaborwertAnzeigeElement
        Get
            Return m_Element
        End Get
    End Property
    Public Sub New(ByVal Element As LaborwertAnzeigeElement)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        m_Element = Element
        m_Init = True
        Me.Label1.Text = m_Element.BasisWert.Kuerzel
        Me.TextBox1.Text = m_Element.Text
        Farbe_Einstellen()
        m_Init = False

    End Sub
   
    Private Sub TextBox1_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged
        If m_Init Then Exit Sub
        m_Element.Text = TextBox1.Text.Trim
    End Sub
    Private Sub Farbe_Einstellen()
        Dim Result As LaborBasis.AuswerteResultat = m_Element.Result
        Select Case Result
            Case LaborBasis.AuswerteResultat.Fehler
                Me.TextBox1.ForeColor = Color.White
                Me.TextBox1.BackColor = Color.Red
            Case LaborBasis.AuswerteResultat.Normal
                Me.TextBox1.ForeColor = SystemColors.WindowText
                Me.TextBox1.BackColor = SystemColors.Window
            Case LaborBasis.AuswerteResultat.ZuHoch
                Me.TextBox1.ForeColor = Color.Red
                Me.TextBox1.BackColor = SystemColors.Window
            Case LaborBasis.AuswerteResultat.ZuTief
                Me.TextBox1.ForeColor = Color.Violet
                Me.TextBox1.BackColor = SystemColors.Window
            Case LaborBasis.AuswerteResultat.Leer
                Me.TextBox1.ForeColor = Color.Black
                Me.TextBox1.BackColor = Color.FromArgb(222, 229, 250)
        End Select
    End Sub

    Private Sub TextBox1_Validating(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles TextBox1.Validating
        Farbe_Einstellen()
    End Sub

    Private Sub Label1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Label1.MouseDown
        Me.OnMouseDown(e)
    End Sub

    Private Sub Label1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Label1.MouseMove
        Me.OnMouseMove(e)
    End Sub

    Private Sub Label1_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Label1.MouseUp
        Me.OnMouseUp(e)
    End Sub
    Private Sub LaborWertAnzeiger_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Enter
        Me.BackColor = SystemColors.Info
    End Sub

    Private Sub LaborWertAnzeiger_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Leave
        Me.BackColor = SystemColors.Control
    End Sub
End Class
