Imports System.Xml
Public Class LabSpeicherElement
    Private m_Text As String
    Private m_Kuerzel As String
    ReadOnly Property Text() As String
        Get
            Return m_Text
        End Get
    End Property
    ReadOnly Property Kuerzel() As String
        Get
            Return m_Kuerzel
        End Get
    End Property

    Public Sub New(ByVal Text As String, ByVal Kuerzel As String)
        m_Text = Text
        m_Kuerzel = Kuerzel
    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        m_Text = Nd.Attributes("Text").Value
        m_Kuerzel = Nd.Attributes("Kuerzel").Value
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("Text", m_Text)
        Writer.WriteAttributeString("Kuerzel", m_Kuerzel)
    End Sub
End Class
