Imports System.Xml
Public Class LabSpeicherGruppe
    Inherits List(Of LabSpeicherElement)
    Private m_Kuerzel As String
    ReadOnly Property Kuerzel() As String
        Get
            Return m_Kuerzel
        End Get
    End Property
    Public Sub New(ByVal Kuerzel As String)
        m_Kuerzel = Kuerzel
    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        m_Kuerzel = Nd.Attributes("Kuerzel").Value
        For Each xnd As XmlNode In Nd.ChildNodes
            If xnd.Name = "E" Then
                Me.Add(New LabSpeicherElement(xnd))
            End If
        Next
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("Kuerzel", m_Kuerzel)
        For Each El As LabSpeicherElement In Me
            Writer.WriteStartElement("E")
            El.Write_XML(Writer)
            Writer.WriteEndElement()
        Next
    End Sub
End Class
