Public Class LaboranzeigeGruppe
    Private m_BasisGruppe As LaborBasis.LaborBasisWertgruppe
    Private m_AnzeigeWerte As New List(Of LaborwertAnzeigeElement)
    Private m_SonstNormalAuswahl As Boolean = False
    Private m_Sammlung As LaborAnzeigeSammlung

    ReadOnly Property BasisGruppe() As LaborBasis.LaborBasisWertgruppe
        Get
            Return m_BasisGruppe
        End Get
    End Property
    ReadOnly Property AnzeigeWerte() As List(Of LaborwertAnzeigeElement)
        Get
            Return m_AnzeigeWerte
        End Get
    End Property
    Public Sub New(ByVal BasisGruppe As LaborBasis.LaborBasisWertgruppe, ByVal Sammlung As LaborAnzeigeSammlung)
        m_BasisGruppe = BasisGruppe
        m_Sammlung = Sammlung
    End Sub
    Property SonstNormalAuswahl() As Boolean
        Get
            Return m_SonstNormalAuswahl
        End Get
        Set(ByVal value As Boolean)
            If m_SonstNormalAuswahl <> value Then
                m_SonstNormalAuswahl = value
                m_Sammlung.OnContentChange()
            End If
        End Set
    End Property
    Public Sub MoveWertToIndex(ByVal AWt As LaborwertAnzeigeElement, ByVal NewIndex As Integer)
        If NewIndex = m_AnzeigeWerte.IndexOf(AWt) Then Exit Sub
        m_AnzeigeWerte.Remove(AWt)
        m_AnzeigeWerte.Insert(NewIndex, AWt)
        m_Sammlung.OnContentChange()
    End Sub
End Class
